Subject: bug#16565: 24.3.50; x-popup-menu just returns nil

From: Michael Heerdegen <[email-masked]>
Date: Mon, 27 Jan 2014 20:02:33 +0100

Eli Zaretskii <[email-masked]> writes:

> Popup menus are toolkit-dependent, and you are using GTK3.  If you
> want to try other toolkits, try Lucid or no-toolkit configuration.
> (I confirm that the problem doesn't happen on MS-Windows.)

Ok, first I tried all Emacs versions available from Debian.  The GTK
built of Emacs 24 shows the problem.  The GTK built of Emacs 23 shows
it, too.  The lucid built of Emacs 24 works ok.

> To find out what is going on, step with a debugger int x-popup-menu,
> and see why it returns nil.  My guess would be that the menu callback
> is not called for some reason, or maybe some other calamity.

Will try to do that today, thanks.

Michael.